Subject: Re: bug#63556: 29.0.90; Use of _Generic breaks Emacs build on GCC <4.9

From: Eli Zaretskii <[email-masked]>
Date: Wed, 17 May 2023 20:45:57 +0300

> Cc: Paul Eggert <[email-masked]>
> From: Spencer Baugh <[email-masked]>
> Date: Wed, 17 May 2023 13:38:30 -0400
> 
> 
> Commit 0f5b1fcdf0be8c1b3084518f1c4f6f375828094b "Help GCC compute
> modiff_incr" added usage of _Generic, which breaks the build for me.  I
> think it's because I'm on gcc (GCC) 4.8.5 20150623 (Red Hat 4.8.5-44),
> and _Generic was added in 4.9?
> 
> If we want to drop support for 4.8 that is fine with me, I just figure
> this was unintentional.

I don't think we want to drop support for GCC 4.8, no.